/* KallistiOS 1.1.3

   dc/fmath.c
   (C)2001 Andrew Kieschnick

   $Id: fmath.c,v 1.1 2001/09/09 22:35:49 bard Exp $

*/

#include <dc/fmath.h>

/* Returns sin(r), where r is [0..2*PI] */
float fsin(float r) {
	return __fsin(r);
}

/* Returns cos(r), where r is [0..2*PI] */
float fcos(float r) {
	return __fcos(r);
}

/* Returns sin(d), where d is [0..65535] */
float fisin(int d) {
	return __fisin(d);
}

/* Returns cos(d), wehre d is [0..65535] */
float ficos(int d) {
	return __ficos(d);
}

/* Returns sqrt(f) */
float fsqrt(float f) {
	return __fsqrt(f);
}

/* Returns 1.0f / sqrt(f) */
float frsqrt(float f) {
	return __frsqrt(f);
}

